@use "../theme";

.footer {
    background-color: #424242;
    width: 100%;
    margin-bottom: theme.$mobileNavHeight;

    @media only screen and (min-width: theme.$sm) {
        margin-bottom: 0;
    }

    &__content {
        display: flex;
        justify-content: space-between;
        color: lighten(#424242, 50%);
        flex-direction: column;

        @media only screen and (min-width: theme.$sm) {
            flex-direction: row;
        }

        &__logos {
            display: flex;
            flex-direction: column;

            &__text {
                margin-bottom: 1rem;

                @media only screen and (min-width: theme.$sm) {
                    margin-bottom: 1.25rem;
                }
            }

            &__images {
                display: flex;
                flex-direction: column;

                @media only screen and (min-width: theme.$sm) {
                    flex-direction: row;
                }

                img {

                    &:last-child {
                        margin-top: theme.$spacing04;

                        @media only screen and (min-width: theme.$sm) {
                            margin-top: 0;
                            margin-left: 2rem;
                        }
                    }
                }
            }

        }

        &__links {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: space-between;
            margin-top: theme.$spacing09;

            @media only screen and (min-width: theme.$sm) {
                margin-top: 0;
            }

            &__top {
                display: flex;
                flex-direction: column;
                margin-bottom: theme.$spacing05;
            }

            a {
                color: lighten(#424242, 50%);
                font-weight: theme.$fontWeightRegular;
                text-decoration: none;
                display: flex;
                align-items: center;

                &:hover {
                    color: theme.$colorTextInverse;
                }
            }
        }
    }
}
